Bug 1021837 - Win2008r2-sp1 guest hang after migration finised at special point on des host
Win2008r2-sp1 guest hang after migration finised at special point on des host
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 04:05 EDT by langfang
Modified: 2013-10-29 06:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 06:57:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
migration finished at special point (234.19 KB, image/png)
2013-10-22 04:07 EDT, langfang
no flags Details

  None (edit)
Description langfang 2013-10-22 04:05:35 EDT
Description of problem:
Win2008r2-sp1 guest hang after migration finised at special point on des host


Version-Release number of selected component (if applicable):

Host A:RHEL6.5
# uname -r
2.6.32-424.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.414.el6.x86_64
# rpm -q seabios
seabios-0.6.1.2-28.el6.x86_64

Host B: RHEL6.4.z
host:
# uname -r
2.6.32-358.25.1.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.355.el6_4.9.x86_64
# rpm -q seabios
seabios-0.6.1.2-26.el6.x86_64


Guest:win2008r2-sp1

How reproducible:

50%

Steps to Reproduce:
1.Boot guest on hostA

2.After guest boot up ,migrate guest from hostA to hostB
(qemu)migrate -d tcp:10.66.83.196:5999

3.Login guest ,"ctrl-alt-del'-->press "restart"



Actual results:
Guest hang if the migration finished at a special point .(please see attachment)

   Shuting down.....



Expected results:

Guest can reboot successfully

Additional info:
My CLI:
1)Use "-M rhel6.2.0"
 /usr/libexec/qemu-kvm  -M rhel6.2.0 -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -name win2008r2 -uuid ab414564-dcd6-405e-be91-ab2cdc0c3ec6 -nodefconfig -nodefaults -monitor stdio -rtc base=utc -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/mnt/test.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=2 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device usb-tablet,id=input0 -vnc :1 -vga std -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8 -netdev tap,id=hostnet2,vhost=on,fd=6 -device rtl8139,netdev=hostnet2,id=net0,mac=00:10:20:2d:31:21 6<>/dev/tap6  -drive file=/mnt/win2k8-r2-sp1-install6.5host.raw,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=raw,werror=stop,rerror=stop,aio=native  -device virtio-blk-pci,drive=drive-scsi0-0-0,id=sluo,bootindex=0,addr=0x9 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -incoming tcp:0:5999

2)Use "-M 6.1.0 " hit same problem
Comment 1 langfang 2013-10-22 04:07:02 EDT
Created attachment 814884 [details]
migration finished at special point
Comment 3 Qunfang Zhang 2013-10-23 03:52:52 EDT
flang,

Do you reboot or shutdown guest during the migration?  The screendump shows "shutting down" while there's no related steps in the bug description. 

Thanks.
Comment 4 Qunfang Zhang 2013-10-23 03:54:30 EDT
Remove the needinfo, I missed the step 3.
Comment 5 Ademar Reis 2013-10-23 04:10:50 EDT
(In reply to langfang from comment #0)

[...]

> Additional info:
> My CLI:
> 1)Use "-M rhel6.2.0"

[...]

> 
> 2)Use "-M 6.1.0 " hit same problem

Did you try anything newer? Ever hit the problem with -M 6.4.0, or migrating from a 6.4.z host to 6.5? (which is fairly more common and I assume is tested more extensively by QA)
Comment 6 langfang 2013-10-24 02:39:25 EDT
(In reply to Ademar de Souza Reis Jr. from comment #5)
> (In reply to langfang from comment #0)
> 
> [...]
> 
> > Additional info:
> > My CLI:
> > 1)Use "-M rhel6.2.0"
> 
> [...]
> 
> > 
> > 2)Use "-M 6.1.0 " hit same problem
> 
> Did you try anything newer? Ever hit the problem with -M 6.4.0, or migrating
> from a 6.4.z host to 6.5? (which is fairly more common and I assume is
> tested more extensively by QA)


1)Test this bug use "-M rhel6.4.0" migrate from  hostA to hostB ,hit the same problem.

Host A:RHEL6.5
# uname -r
2.6.32-424.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.414.el6.x86_64
# rpm -q seabios
seabios-0.6.1.2-28.el6.x86_64

Host B: RHEL6.4.z
host:
# uname -r
2.6.32-358.25.1.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.355.el6_4.9.x86_64
# rpm -q seabios
seabios-0.6.1.2-26.el6.x86_64

Guest:win2008r2-sp1

2) Aslo hit the problem on "qemu-kvm-0.12.1.2-2.413.el6.x86_64(host A)" version.
Comment 7 langfang 2013-10-28 05:11:38 EDT
Hit the same problem migrate RHEL6.5-->RHEL6.5 ,use -M (rhel6.3.0)

Steps as same as comment0.

Host A ,B

# uname -r
2.6.32-425.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.415.el6.x86_64
# rpm -q seabios
seabios-0.6.1.2-28.el6.x86_64

Guest:win2008r2-sp1

My CLI:
/usr/libexec/qemu-kvm -M rhel6.3.0 -cpu Penryn -m 4G -smp 4,sockores=2,threads=1 -enable-kvm -usb -device usb-tablet,id=input0 -name win2008r2 -uuid f268c36a-8d46-4ce2-a2a3-f883d1d70d50 -rtc base=localtime,clock=host,driftfix=slew -drive file=/mnt/test.qcow2,format=qcow2,if=none,id=ide0 -device ide-drive,drive=ide0,bus=ide.0,unit=0,id=ide0-0-0 -vnc :1 -monitor stdio -boot menu=on -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -qmp tcp:0:4444,server,nowait -drive file=/mnt/en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_with_sp1_x64_dvd_617601.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev tap,id=hostnet2,vhost=on,fd=6 -device rtl8139,netdev=hostnet2,id=net0,mac=00:10:20:2d:31:21 6<>/dev/tap6 -drive file=/mnt/win2k8-r2-sp1-install6.5host.raw,format=raw,if=none,id=virtio0-1 -device virtio-blk-pci,drive=virtio0-1,addr=0x9,id=ide0-0-0-1,bootindex=0  -device virtio-balloon-pci,bus=pci.0,id=balloon0,addr=0x8 -incoming tcp:0:5999

Host info:

model name	: Intel(R) Xeon(R) CPU           E5205  @ 1.86GHz
Comment 8 langfang 2013-10-29 06:57:34 EDT
Closed this bug ,as after i sync the time on both hosts, can't hit the bug anymore.

Note You need to log in before you can comment on or make changes to this bug.